Subject: [Ltru] Re: 3066ter encompassed languages

From: "Doug Ewell" <[email-masked]>
Date: Mon, 11 Sep 2006 22:42:19 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> As soon as I find out that there are more Ainu than the one I've heard 
> of before (which happens to be the JP Ainu) I better check what's 
> going on.

The only ethnic group called Ainu that I'm aware of is the indigenous 
Japanese group, but there are two languages called Ainu, one spoken in 
Japan (and Russia) and the other in China.  Ethnologue says there are 15 
speakers of Ainu (Japan) and 6,570 speakers of Ainu (China).  For 
whatever that's worth.

>> When 639-3 changes a 639-2 name by adding a country name or the word 
>> "generic", replace the old Description with the new one.
>
> Slightly messy, because the registered 639-2 tag apparently isn't what 
> 639-3 considers as "generic".  As a tag it has the semantics of their 
> "specific" code.  Which isn't the registered tag.  Now that's 
> confusing as soon as you try to talk about it.

It does have the "generic" semantic, because 639-2 doesn't differentiate 
between (for example) "generic" Malay and "specific" Malay.

> While "Malay is Malay (unless you want Ambonese etc.)" should be clear 
> for readers not interested in these subtleties.

Actually "Malay, Ambonese" isn't one of the languages subsumed under the 
"Malay (generic)" macrolanguage.  There are, however, 13 other "Malay" 
languages that are so subsumed, so your "unless" clause might get pretty 
long.

>> Otherwise, add the new Description to the existing ones.  That's a 
>> rule based on an obvious pattern.
>
> Yes, but I don't like its outcome.

That wasn't part of the deal. :-)

> Can we do this without the "otherwise" qualifier, simply add it always 
> as is ?  For the few cases you found we don't need optimizations and 
> convoluted special rules.

I thought you were the one who asked for a rule.

OK, everyone: If we do what Frank wants, we will have:

    Type: language
    Subtag: ms
    Description: Malay
    Description: Malay (generic)
    Added: 2005-10-16
    Suppress-Script: Latn
    ...
    Type: extlang
    Subtag: mly
    Description: Malay (specific)
    Added: xxxx-xx-xx
    Prefix: ms

and also:

    Type: language
    Subtag: aib
    Description: Ainu (China)
    Added: xxxx-xx-xx
    ...
    Type: language
    Subtag: ain
    Description: Ainu
    Description: Ainu (Japan)
    Added: 2005-10-16

Is that what the group wants?

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
RFC 4645  *  UTN #14

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Mon, 11 Sep 2006 22:18:03 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

>> ... Therefore, I believe we should *replace* the existing (ISO 
>> 639-2-based) Description with the reference name from ISO 639-3.
>
> Here I disagree, let 639-2 replace it if necessary.  If you insist on 
> it we can add a rule in 4646bis allowing the review list to remove 
> mainly redundant and potentially misleading descriptions based on 
> 639-2 individually at any time (in the 4645bis "date C" registry or at 
> registration time).

I'd like to hear some additional voices on this.  I know Debbie agrees 
with you.  As always, I'm willing to be overruled if there is a group 
consensus.

> It's very near to cherry picking, and users looking for the precise 
> description as published in 639-2 might be confused. Debbie mentioned 
> use cases where what you propose could remove identifiers (URNs or 
> similar) somewhere.

I don't know what to do about this, or whether anyone is actually 
planning to correlate the Description fields precisely to the ISO 
standards.  I know the ISO standards aren't correlated precisely to each 
other, or we wouldn't be having this discussion.

> Weak analogoy:  I could propose to replace <control> by NAK in column 
> 2 of u+0015.  Highly desirable from my POV, but the Unicode folks 
> would eat me alive, it breaks applications expecting <control> in 
> column 2.

The Unicode policy that the name of a character must never change (not 
merely its identity) has caused a lot of grief when a name turns out to 
be wrong, misleading, or even misspelled.  Section 3.1 only says the 
Description is "a non-normative description of the subtag or tag."  I 
worry that we will sacrifice clarity and usability to make the names, in 
essence, normative.

---

From: Peter Constable <[email-masked]>
Date: Tue, 12 Sep 2006 20:54:08 -0700

From: Doug Ewell [mailto:[email-masked]] 

> between (for example) "generic" Malay and "specific" Malay.

Btw, if you've had a chance to read the FDIS, you'll see that "(generic)" and "(specific)" are no longer the distinguishing qualifiers that are going to be used. Rather, the individual language has no added qualifier, and "(macrolanguage)" gets added to the macrolanguage. So, it would be "Malay" and "Malay (macrolanguage)".

>    Description: Malay (generic)

I don't see a need for that duplication; and given that what we'd end up with per the change I mentioned above is

    Type: language
    Subtag: ms
    Description: Malay
    Description: Malay (macrolanguage)
    Added: 2005-10-16
    Suppress-Script: Latn
    ...
    Type: extlang
    Subtag: mly
    Description: Malay
    Added: xxxx-xx-xx
    Prefix: ms

I don't particularly care for having the same description show up in two different entries for things that have different meanings.

Peter Constable

---

From: John Cowan <[email-masked]>
Date: Wed, 13 Sep 2006 00:15:09 -0400

Peter Constable scripsit:

> I don't particularly care for having the same description show up in
> two different entries for things that have different meanings.

+1

-- 
Why are well-meaning Westerners so concerned that   John Cowan
the opening of a Colonel Sanders in Beijing means   [email-masked]
the end of Chinese culture? [...]  We have had      http://www.ccil.org/~cowan
Chinese restaurants in America for over a century,
and it hasn't made us Chinese.  On the contrary,
we obliged the Chinese to invent chop suey.            --Marshall Sahlins